# -slp (Set Large Pages mode) switch

Sets Large Pages mode.

#### Syntax

    -slp[-]

Switch | Description
--- | ---
-slp | Enables Large Pages mode.
-slp- | Disables Large Pages mode. This option is default for all commands.

Large Pages mode increases the speed of compression. However, there is a pause at the start of compression while 7-Zip allocates the large pages in memory. If 7-Zip can't allocate large pages, it allocates usual small pages. Also, the Windows Task Manager doesn't show the real memory usage of the program, if 7-Zip uses large pages. This feature works only on Windows 2003 / XP x64. Also, it requires administrator's rights for your system. The recommended size of RAM for this feature is 3 GB or more. To install this feature, you must run the 7-Zip File Manager at least once, close it, and then reboot the system.

Notes: if you use -slp mode, your Windows system can hang for several seconds when 7-zip allocates memory blocks. When Windows tries to allocate large pages from RAM for 7-Zip, Windows can hang other tasks for that time. It can look like full system hang, but then it resumes, and if allocation is successful, 7-Zip works faster. Don't use -slp mode, if you don't want other tasks be hanged for several seconds. Also it's senseless to use -slp mode to compress small data sets (less than 100 MB). But if you compress big data sets (300 MB or more) with LZMA method with large dictionary, you can get 5%-10% speed improvement with -slp mode.

#### Example

    7z a archive.7z -slp a.iso

compresses a.iso file with Large Pages mode switched on.